require 'sinatra'
require 'yaml'

require 'net/http'

def http_post(url,params = {})
  res = Net::HTTP.post_form(URI(url), params)
end

def http_get(url,params = {})
  uri = URI(url)
	uri.query = URI.encode_www_form(params)
	res = Net::HTTP.get_response(uri)
end

set :public_folder, File.dirname(__FILE__) + '/assets'

get '/' do
  @apis = YAML.load_file("#{File.dirname(__FILE__)}/apis.yml")
  @title = File.basename(Dir.pwd)
  erb :index
end

post "/post" do
	url = params["url"].strip
	method = params["method"]
	params.delete("url")
	params.delete("method")

	re=/^HTTP/i
	re.match(url) or url = "http://" + url
	case method.downcase
	when "get"
		res = http_get(url,params)
	when "post"
		res = http_post(url,params)
	else
	end
	response['Content-Type'] = 'application/json; charset=utf-8'
	res.body
end